@import url("https://fonts.googleapis.com/css2?family=Antonio:wght@400;600;700&display=swap");
:root {
	--mesa-blue-gradient: linear-gradient(120deg, #001b33 0%, #023867 35%, #007ecc 100%);
	--mesa-secondary-blue-gradient: linear-gradient(317deg, #0e223f 0%,  #1f3c7b 35%,  #2253a3 100%);
	--mesa-yellow-gradient: linear-gradient(317deg, #fcb424 0%,  #ffcd42 35%,  #ffe65c 100%);
	--mesa-primary-mid-blue: #1f3c7b;
}

/*General body styling*/
/*san-serif is easier font to read*/
body {
	box-sizing: border-box;
}
/*Typography*/
.alum-details p:nth-of-type(1) {
	font-weight: 400;
}
.alum-details p:nth-of-type(n) {
	color: #212121;
	font-size: calc(1rem + (2 - 1) * ((100vw - 300px)/(1600 - 300)));
	font-family: "Antonio";
	margin: 0;
	padding: 0; 
	line-height: 1.3;
	font-weight: 300;
}
.alum-details p:nth-child(1) {
	color: var(--mesa-primary-mid-blue);
	font-weight: 400;
}

.review div.testimonial__quote {
	font-size: calc(1.2rem + (3 - 1.2) * ((100vw - 300px)/(1600 - 300)));
	font-style: italic;
	font-family: sans-serif;
	/*Line clamp, limit line to 10*/
	display: -webkit-box;
	-webkit-line-clamp: 10;
	-webkit-box-orient: vertical;
	overflow: hidden;
	box-shadow: none;
	background: #fff;
	padding-left: 10px;
	padding-right: 10px;
}

.alum-grad p:nth-of-type(n) {
	font-size: calc(2.75rem + (5 - 2.75) * ((100vw - 300px)/(1600 - 300)));
	font-family: "Antonio";
}

/*********************
GRID LAYOUT STYLING 
*********************/
.testimonial-grid {
	display: -ms-grid;
	display: grid;
	-ms-grid-columns: (minmax(300px, 1fr))[auto-fit];
	grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
	-ms-grid-rows: (minmax(300px, 1fr))[auto-fit];
	grid-template-rows: repeat(auto-fit, minmax(300px, 1fr));
	grid-gap: 20px 20px;
	padding: 20px;
	margin: 0 auto;
	margin-top: 30px;
	/*place-items: center center;*/
	border-radius: 5px;
}

/*********************
NESTED GRID: 
GENERAL STYLING
**********************/
.testimonial-card {
	display: -ms-grid;
	display: grid;
	-ms-grid-columns: repeat(6, 1fr);
	grid-template-columns: repeat(6, 1fr);
	-ms-grid-rows: 0 1fr;
	grid-template-rows: 0 1fr;
	margin: 0;
	padding: 0;
	margin: 0;
	border: 1px solid #ccc;
	border-radius: 5px;
	grid-auto-flow: column;
	/*************
	GRID ITEMS***/
	/*********************
	FLEX CONTAINER: MAIN CONTENT
	**********************/
	/*Alum image container*/
}

.testimonial-card .alum__left {
	-ms-grid-column: 1;
	-ms-grid-column-span: 1;
	grid-column: 1/2;
	z-index: 1;
}

.testimonial-card .alum__left .alum-grad {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-flex: .7;
	-ms-flex: .7;
	flex: .7;
	-ms-flex-item-align: left;
	align-self: left;
	justify-items: start;
	position: relative;
	top: 23px;
	left: 35%;
	text-shadow: 4px 4px 0 rgba(0, 0, 0, 0.1);
	opacity: .9;
	letter-spacing: 3px;
	color: #fff;
	font-weight: 500;
}

.testimonial-card .alum__left .alum-grad span {
	padding-left: 15px;
	color: #001b33;
	font-size: 1.5rem;
	position: relative;
	right: 9%;
	bottom: 20%;
}

.testimonial-card .alum__main {
	grid-column: 1/-1;
}

.testimonial-card .alum__right {
	z-index: 1;
	left: 85%;
	color: #ccc;
	opacity: 0.9;
	font-size: 5rem;
	text-shadow: 4px 4px 0 rgba(0, 0, 0, 0.1);
	font-weight: 700;
	display: block;
	position: relative;
	width: min-content;
	height: 0;
	font-family: sans-serif;
}


.testimonial-card .alum-info {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	-ms-flex-wrap: nowrap;
	flex-wrap: nowrap;
	-webkit-box-flex: .7;
	-ms-flex: .7;
	flex: .7;
	-ms-flex-negative: 0;
	flex-shrink: 0;
	-ms-flex-preferred-size: 70%;
	flex-basis: 70%;
	-webkit-box-flex: 0;
	-ms-flex-positive: 0;
	flex-grow: 0;
	margin-top: 0;
}

.testimonial-card .alum-image {
	order: 1;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	border-radius: 5px;
}

.testimonial-card .alum-image-crop {
	width: 130px;
	height: 130px;
	overflow: hidden;
	border: 5px solid #fff;
	border-radius: 50%;
}

.testimonial-card .alum-image-crop {
	-webkit-box-ordinal-group: 2;
	-ms-flex-order: 1;
	order: 1;
	margin: 0 auto;
	position: relative;
	top: 10%;
}

.review {
	-webkit-box-ordinal-group: 4;
	-ms-flex-order: 3;
	order: 3;  
}
#personalTrainingTestimonials .testimonial__quote p {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	-ms-flex-line-pack: center;
	align-content: center;
	z-index: 3;
	position: relative;
}
.testimonial__quote span {
	display: contents;
	font-size: 1.2rem;
	color: #2253a3;
	line-height: 1;
}

.testimonial-card .review p {
	margin-top: 30px;
	margin-bottom: 0px;
	margin-left: 10px;
	margin-right: 10px;
	/*padding: 20px;*/
	text-align: center;
	text-transform: none;
	font-size: calc(1rem + (3 - 1) * ((100vw - 300px)/(1600 - 300)));
	-webkit-box-flex: .7;
	-ms-flex: .7;
	flex: .7;
	-ms-flex-preferred-size: 100%;
	flex-basis: 100%;
}

.testimonial-card .alum-details {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-wrap: nowrap;
	flex-wrap: nowrap;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	-webkit-box-flex: .7;
	-ms-flex: .7;
	flex: .7;
	-ms-flex-preferred-size: 100%;
	flex-basis: 100%;
	margin-top: 3px;
	padding-top: 3%;
	width: 100%;
	background-color: #fff;
	color: var(--mesa-primary-mid-blue);
	text-align: left;
}

.testimonial-card .alum-details p:nth-of-type(n+2) {
	color: #212121;
	opacity: .8;
}

/*********************
ALT STYLING USING NTH-OF-TYPE
*********************/
.testimonial-card:nth-of-type(odd) .alum-grid:nth-child(1n+0) {
	background: var(--mesa-secondary-blue-gradient);
	/* background: #1f3c7b; */
}

.testimonial-card:nth-of-type(2n+0) .alum-grid {
	background: var(--mesa-yellow-gradient);
}
/*
.testimonial-card:nth-of-type(3n+0) .alum-grid {
background: #fff !important;
}*/
/*
.testimonial-card .alum-grid:nth-of-type(even):nth-child(even) aside span {
color: var(--mesa-primary-mid-blue);
}*/

/*Alum images*/
#alum1 {
	background-image: url("/_resources/programs/images/testimonials/personal-trainer/johnray-codina.png");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

#alum2 {
	background: url(/_resources/programs/images/testimonials/personal-trainer/stacy-d.png);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

#alum3 {
	background: url(/_resources/programs/images/testimonials/personal-trainer/jessica-s.png);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

#alum4 {
	background: url(/_resources/programs/images/testimonials/personal-trainer/david-r.png);
	background-position-x: left;
	background-position-y: center;
	background-repeat: no-repeat;
	background-size: cover;
}

#alum5 {
	background: url(/_resources/programs/images/testimonials/personal-trainer/irina-knyazev.png);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

#alum6 {
	background: url(/_resources/programs/images/testimonials/personal-trainer/tracey-p.png);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

#alum7 {
	background: url(/_resources/programs/images/testimonials/personal-trainer/geneva-c.png);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

#alum8 {
	background: url(/_resources/programs/images/testimonials/personal-trainer/jim-d.png);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

#alum9 {
	background: url(/_resources/programs/images/testimonials/personal-trainer/aida.png);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

.alum-image-crop img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}
/*********************
ALT TESTIMONIAL STYLES 
*********************/
.testimonial-card:nth-of-type(n){
	grid-template-rows: 1fr;
}
.testimonial-card:nth-of-type(n) .alum-flex-row {
	background: var(--mesa-secondary-blue-gradient);
	flex-direction: row;
}
.testimonial-card:nth-of-type(n) .alum-image {
	margin-right: 25px;
	flex-basis: 50%;
}
.testimonial-card:nth-of-type(n) .alum-image-crop {
	background: unset;
	left: 5%;
	z-index: 2;
}
.testimonial-card:nth-of-type(n) .alum-details {
	padding: 0;
	margin-top: 0;
	place-content: center;
	align-items: start;
	/*clip path*/
	background: #fff;
	clip-path: polygon(100% 0%, 100% 50%, 100% 100%, 15% 100%, 5% 50%, 23% 0%);
	opacity: .9;
	width: 101%;
	height: 101%;
}
.testimonial-card:nth-of-type(n) .alum-details p:nth-child(n){
	font-size: calc(1rem + (1.25 - 1) * ((100vw - 300px)/(1600 - 300)));
	line-height: calc(1.25rem + (1.25 - 1) * ((100vw - 300px)/(1600 - 300)));
	display: inline-flex;
	padding-left: 15%;
	margin-left: 18%;
	justify-content: start;
	line-height: 1.5;
}
.testimonial-card:nth-of-type(n) .review {
	min-height: 200px;
	height: 100%;
	background: #fff;
}
.testimonial-card:nth-of-type(n) .review .testimonial__quote p {
	line-height: calc(1.5rem + (3 - 1.5) * ((100vw - 300px)/(1600 - 300)));
	text-align: left;
	padding: 0;
	margin: 0 auto;
	color: #212121;
	color: #212121cf;
}

.alum-grid {
	display: grid;
	grid-template-columns: 65px repeat(3, 1fr);
	grid-template-rows: 1fr;
}
.alum-details {
	grid-column:  2 / 5;
	grid-row: 1;
}
.alum-image {
	grid-column: 1 / 3;
	grid-row: 1;
}

/*unset styles that override alt style*/
#personalTrainingTestimonials .testimonial__quote p{
	/*padding: 5px;
	margin: 15px;*/
	margin: 5px;
	padding: 20px;
}
/*undo after alt changes*/
.alum-grad p {
	opacity: 0;
}

/* Style all font awesome icons */
.insta-icon {
	position: relative;
	width: 36px;
	height: 36px;
	border-radius: 20%;
}

.fa {
	text-decoration: none;
	display: inline-flex;
	align-items: baseline;
}

/* Hover effect*/
.fa:hover {
	opacity: 0.7;
}

.fa-instagram {
	color: var(--mesa-primary-mid-blue);
}

span.alum-social {
	padding-left: 5px;
	font-family: "Antonio";
}


/*********************
MEDIA QUERIES 
*********************/
@media only screen and (min-width: 800px) {
	.testimonial-grid  {
		-ms-grid-columns: (minmax(420px, 1fr))[auto-fit];
		grid-template-columns: repeat(auto-fit, minmax(420px, 1fr));
	}
}
